kernel-firmware/copy-file-skip-check.patch
Takashi Iwai bff9c53fe6 - Update to version 20241018 (git commit 2f0464118f40):
* check_whence.py: skip some validation if git ls-files fails
  * qcom: Add Audio firmware for X1E80100 CRD/QCPs
  * amdgpu: DMCUB updates forvarious AMDGPU ASICs
  * brcm: replace NVRAM for Jetson TX1
  * rtlwifi: Update firmware for RTL8192FU to v7.3
  * make: separate installation and de-duplication targets
  * check_whence.py: check the permissions
  * Remove execute bit from firmware files
  * configure: remove unused file
  * rtl_nic: add firmware rtl8125d-1

- Update to version 20241014 (git commit 99f9c7ed1f4a):
  * iwlwifi: add gl/Bz FW for core91-69 release
  * iwlwifi: update ty/So/Ma firmwares for core91-69 release
  * iwlwifi: update cc/Qu/QuZ firmwares for core91-69 release
  * cirrus: cs35l56: Add firmware for Cirrus CS35L56 for a Lenovo Laptop
  * cirrus: cs35l56: Add firmware for Cirrus CS35L56 for some ASUS laptops
  * cirrus: cs35l56: Add firmware for Cirrus Amps for some HP laptops
  * linux-firmware: update firmware for en8811h 2.5G ethernet phy
  * QCA: Add Bluetooth firmwares for WCN785x with UART transport

- Update to version 20241011 (git commit 808cba847c70):
  * mtk_wed: add firmware for mt7988 Wireless Ethernet Dispatcher
  * ath12k: WCN7850 hw2.0: update board-2.bin (bsc#1230596)
  * ath12k: QCN9274 hw2.0: add to WLAN.WBE.1.3.1-00162-QCAHKSWPL_SILICONZ-1
  * ath12k: QCN9274 hw2.0: add board-2.bin
  * copy-firmware.sh: rename variables in symlink hanlding
  * copy-firmware.sh: remove no longer reachable test -L
  * copy-firmware.sh: remove no longer reachable test -f

OBS-URL: https://build.opensuse.org/package/show/Kernel:HEAD/kernel-firmware?expand=0&rev=506
2024-10-21 15:14:17 +00:00

16 lines
712 B
Diff

diff --git a/copy-firmware.sh b/copy-firmware.sh
index dcb3b92c7229..fbadaf0b6027 100755
--- a/copy-firmware.sh
+++ b/copy-firmware.sh
@@ -65,8 +65,8 @@ if test -d "$destdir"; then
find "$destdir" -type d -empty >/dev/null || warn "destination folder is not empty."
fi
-$verbose "Checking that WHENCE file is formatted properly"
-./check_whence.py || err "check_whence.py has detected errors."
+# $verbose "Checking that WHENCE file is formatted properly"
+# ./check_whence.py || err "check_whence.py has detected errors."
# shellcheck disable=SC2162 # file/folder name can include escaped symbols
grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do